unit rProjGatherTables;

interface

uses
  DataBaseTables;

const
  SGatherProj = 'r_GatherProj';
  tdGatherProj: array [0..2] of TScFieldDef =(
    (FieldName: 'ID'; FieldType: ftInteger; Size: 0; Precision: 0; NotNull: True; PrimaryKey: True; ForceUpdate: False),
    //  -- ĿID
    (FieldName: 'ProjectID'; FieldType: ftInteger; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //  -- 
    (FieldName: 'ProjectName'; FieldType: ftString; Size: 255; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False)
  );

  SBills = 'r_Bills';
  tdBills: array [0..15] of TScFieldDef =(
    (FieldName: 'ID'; FieldType: ftInteger; Size: 0; Precision: 0; NotNull: True; PrimaryKey: True; ForceUpdate: False),
    (FieldName: 'ParentID'; FieldType: ftInteger; Size: 0; Precision: 0; NotNull: True; PrimaryKey: False; ForceUpdate: False),
    (FieldName: 'NextSiblingID'; FieldType: ftInteger; Size: 0; Precision: 0; NotNull: True; PrimaryKey: False; ForceUpdate: False),
    //--3

    // Ŀڱ
    (FieldName: 'Code'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 嵥
    (FieldName: 'B_Code'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 
    (FieldName: 'Name'; FieldType: ftString; Size: 200; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // λ
    (FieldName: 'Units'; FieldType: ftstring; Size: 20; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 
    (FieldName: 'Price'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //--5

    // 
    (FieldName: 'SerialNo'; FieldType: ftInteger; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // Ƿײڵ
    (FieldName: 'IsLeaf'; FieldType: ftBoolean; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 
    (FieldName: 'XiangCode'; FieldType: ftString; Size: 10; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // Ŀ
    (FieldName: 'MuCode'; FieldType: ftString; Size: 10; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 
    (FieldName: 'JieCode'; FieldType: ftString; Size: 10; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ϸĿ
    (FieldName: 'XiMuCode'; FieldType: ftString; Size: 30; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 嵥
    (FieldName: 'IndexCode'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ¼ID
    (FieldName: 'ChapterParentID'; FieldType: ftInteger; size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False)
    //--8
  );

  SBills_Gather = 'r_Bills_Gather'; // ϼ, ĬProjIDΪ -2
  SBills_Proj = 'r_Bills_Proj'; // NĿr_Bills_Proj1 ... r_Bills_ProjNֱ洢Ŀ
  SBills_TransProj = 'r_Bills_TransProj'; // ϲеr_Bills_Proj
  tdBills_Calc: array [0..73] of TScFieldDef =(
    // BillsIDӦ
    (FieldName: 'ID'; FieldType: ftInteger; Size: 0; Precision: 0; NotNull: True; PrimaryKey: True; ForceUpdate: False),
    // Ӧr_GatherProjеIDֶ
    (FieldName: 'ProjID'; FieldType: ftInteger; Size: 0; Precision: 0; NotNull: True; PrimaryKey: True; ForceUpdate: False),

    // ʩͼԭ -- 
    (FieldName: 'OrgQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ʩͼԭ -- 
    (FieldName: 'OrgTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ʩͼԭ --  -- 
    (FieldName: 'OrgTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ƴ© -- 
    (FieldName: 'MisQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ƴ© -- 
    (FieldName: 'MisTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ƴ© --  -- 
    (FieldName: 'MisTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ԭ -- 
    (FieldName: 'OthQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ԭ -- 
    (FieldName: 'OthTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ԭ --  -- 
    (FieldName: 'OthTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ͬ - 
    (FieldName: 'Quantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ͬ - 
    (FieldName: 'TotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ͬ -  -- 
    (FieldName: 'TotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //--12

    // ------------ 0̨ ----------------
    // 1
    (FieldName: 'DgnQuantity1'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 2
    (FieldName: 'DgnQuantity2'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 
    (FieldName: 'DgnQuantity'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָ1
    (FieldName: 'DgnPrice1'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָ2
    (FieldName: 'DgnPrice2'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָָ꣨1/ָ2
    (FieldName: 'DgnPrice'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָ1 -- 
    (FieldName: 'DgnPrice1_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָ2 -- 
    (FieldName: 'DgnPrice2_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָָ꣨1/ָ2-- 
    (FieldName: 'DgnPrice_Rc'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //--9

    // ------------ͬ----------------
    // 1
    (FieldName: 'DealDgnQuantity1'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 2
    (FieldName: 'DealDgnQuantity2'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 
    (FieldName: 'DealDgnQuantity'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // --3

    // -----------------------------------
    // 1
    (FieldName: 'CDgnQuantity1'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 2
    (FieldName: 'CDgnQuantity2'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 
    (FieldName: 'CDgnQuantity'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // --3

    //  --------------------ͬ+--------------------
    // 1
    (FieldName: 'FinalDgnQuantity1'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 2
    (FieldName: 'FinalDgnQuantity2'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // 
    (FieldName: 'FinalDgnQuantity'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָ1
    (FieldName: 'FinalDgnPrice1'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָ2
    (FieldName: 'FinalDgnPrice2'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָָ꣨1/ָ2
    (FieldName: 'FinalDgnPrice'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָ1 -- 
    (FieldName: 'FinalDgnPrice1_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָ2 -- 
    (FieldName: 'FinalDgnPrice2_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ָָ꣨1/ָ2-- 
    (FieldName: 'FinalDgnPrice_Rc'; FieldType: ftString; Size: 50; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // --9

    // ۼƺͬ -- 
    (FieldName: 'AddDealQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ۼƺͬ -- 
    (FieldName: 'AddDealTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ۼƺͬ --  -- 
    (FieldName: 'AddDealTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ۼƱ -- 
    (FieldName: 'AddQcQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ۼƱ -- 
    (FieldName: 'AddQcTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ۼƱ --  -- 
    (FieldName: 'AddQcTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ۼ -- 
    (FieldName: 'AddGatherQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ۼ -- 
    (FieldName: 'AddGatherTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ۼ --  -- 
    (FieldName: 'AddGatherTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //--9

    // ںͬ -- 
    (FieldName: 'CurDealQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ںͬ -- 
    (FieldName: 'CurDealTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ںͬ --  -- 
    (FieldName: 'CurDealTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ڱ -- 
    (FieldName: 'CurQcQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ڱ -- 
    (FieldName: 'CurQcTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ڱ --  -- 
    (FieldName: 'CurQcTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //  -- 
    (FieldName: 'CurGatherQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //  -- 
    (FieldName: 'CurGatherTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //  --  -- 
    (FieldName: 'CurGatherTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //--9

    // ֹںͬ -- 
    (FieldName: 'PreDealQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹںͬ -- 
    (FieldName: 'PreDealTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹںͬ --  -- 
    (FieldName: 'PreDealTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹڱ -- 
    (FieldName: 'PreQcQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹڱ -- 
    (FieldName: 'PreQcTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹڱ --  -- 
    (FieldName: 'PreQcTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹ -- 
    (FieldName: 'PreGatherQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹ -- 
    (FieldName: 'PreGatherTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹ --  -- 
    (FieldName: 'PreGatherTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    //--9

    // ֹںͬ -- 
    (FieldName: 'EndDealQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹںͬ -- 
    (FieldName: 'EndDealTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹںͬ --  -- 
    (FieldName: 'EndDealTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹڱ -- 
    (FieldName: 'EndQcQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹڱ -- 
    (FieldName: 'EndQcTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹڱ --  -- 
    (FieldName: 'EndQcTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹ -- 
    (FieldName: 'EndGatherQuantity'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹ -- 
    (FieldName: 'EndGatherTotalPrice'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False),
    // ֹ --  -- 
    (FieldName: 'EndGatherTotalPrice_Rc'; FieldType: ftDouble; Size: 0; Precision: 0; NotNull: False; PrimaryKey: False; ForceUpdate: False)
    //--9
  );

implementation

end.
